Subject: Re: [PATCH 03/16] pull: cleanup documentation

From: David Aguilar <[email-masked]>
Date: Thu, 31 Oct 2013 19:48:22 -0700

On Thu, Oct 31, 2013 at 07:56:03PM -0600, Felipe Contreras wrote:
> On Thu, Oct 31, 2013 at 5:40 PM, David Aguilar <[email-masked]> wrote:
> > On Thu, Oct 31, 2013 at 03:16:57PM -0600, Felipe Contreras wrote:
> >> On Thu, Oct 31, 2013 at 2:43 PM, Junio C Hamano <[email-masked]> wrote:
> >> > Junio C Hamano <[email-masked]> writes:
> >>
> >> > The other reason the original did not say "origin/master" is because
> >> > this holds true even if you do not have such a remote-tracking
> >> > branch for the master at the origin, but the illustration that shows
> >> > the history after "git pull" finishes spells remotes/origin/master
> >> > out, so I think it would be an improvement to make the two pictures
> >> > consistent by drawing where the origin/master is before this "git
> >> > pull" is run.
> >>
> >> So you care about "reality" when it fits your argument, but not when
> >> it doesn't. Got it.
> >
> > What exactly do these flippant remarks accomplish?
> > Keep these to yourself.  No one deserves this treatment nor does
> > anyone care to read it.
> 
> Nobody is forcing you to read them.

You're missing the *key* point.
No one wants to interact with a rude arrogant loudmouth.

You could have explained this without being sarcastic and annoying.
It does not help your cause.

Sure, these are "subjective" people skills (that don't "matter"
to the code) but this is a social activity.  If your defense is
to whine and say, "well, people on LKML are rude and flippant
all the time!" then that's a lame argument that's not
even true.

Your patch may in fact be a good one, but your anti-discussions
hurt them.  Discussion are good, not an insane attack fest.
What fun is that?  It's soooo lame.

That's all I'm saying.  You can defend it but no one cares.

Anyways, I'm out to have fun at a party with friends.
Try and get out, have fun, and come back when you're not looking
for someone to abuse.
-- 
David